Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::StreamTokenizer Class Reference

ストリームトークナイザ More...

`#include <StreamTokenizer.h>`

List of all members.

## Public Member Functions
| StreamTokenizer (TextReader *reader, const String &delimiter=defaultDelimiter)
| コンストラクタ
virtual | ~StreamTokenizer ()
| デストラクタ
virtual bool | nextToken ()
| 次のトークン
virtual String | getToken () const
| トークン取得
virtual String | getPreviousToken () const
| 一つ前のトークン取得
virtual void | setSlashSlashCommentFlag (bool slashSlash)
| スラッシュスラッシュコメントフラグの設定
virtual bool | getSlashSlashCommentFlag ()
| スラッシュスラッシュコメントフラグの取得
virtual void | setSlashStarCommentFlag (bool slashStar)
| スラッシュスターコメントフラグの設定
virtual bool | getSlashStarCommentFlag ()
| スラッシュスターコメントフラグの取得
virtual int | getLineNumber ()
| 行番号の取得

## Detailed Description

ストリームトークナイザ

Definition at line 38 of file StreamTokenizer.h.

## Constructor & Destructor Documentation

Lamp::StreamTokenizer::StreamTokenizer | ( | TextReader * | reader,
|  | const String & | delimiter = defaultDelimiter
| ) |

  | コンストラクタ Parameters:
  reader | テキストリーダ
  delimiter | デリミタ、改行は強制的にデリミタとなります。
Definition at line 36 of file StreamTokenizer.cpp.

## Member Function Documentation

virtual int Lamp::StreamTokenizer::getLineNumber | ( |  | ) | `[inline, virtual]`

| 行番号の取得 Returns: 行番号 Definition at line 103 of file StreamTokenizer.h. Referenced by Lamp::TextSceneLoader::load(), Lamp::TextCollisionLoader::load(), Lamp::TextAnimationLoader::load(), Lamp::TextAnimationLoader::readAnimationSetLink(), Lamp::TextSceneLoader::readBasicMaterialLink(), Lamp::TextSceneLoader::readBool(), Lamp::TextCollisionLoader::readBool(), Lamp::TextAnimationLoader::readBool(), Lamp::TextAnimationLoader::readCameraLinkList(), Lamp::TextAnimationLoader::readCharacterModelLinkList(), Lamp::TextCollisionLoader::readCollisionLeafList(), Lamp::TextCollisionLoader::readCollisionLink(), Lamp::TextSceneLoader::readFloat(), Lamp::TextCollisionLoader::readFloat(), Lamp::TextAnimationLoader::readFloat(), Lamp::TextSceneLoader::readInt(), Lamp::TextCollisionLoader::readInt(), Lamp::TextAnimationLoader::readInt(), Lamp::TextSceneLoader::readLightList(), Lamp::TextSceneLoader::readMaterialLinkList(), Lamp::TextSceneLoader::readMaterialList(), Lamp::TextSceneLoader::readMeshData(), Lamp::TextSceneLoader::readMeshLink(), Lamp::TextSceneLoader::readMeshList(), Lamp::TextSceneLoader::readModelLink(), Lamp::TextSceneLoader::readModelList(), Lamp::TextSceneLoader::readPictureList(), Lamp::TextAnimationLoader::readRotationConstantInterpolator(), Lamp::TextAnimationLoader::readRotationInterpolator(), Lamp::TextSceneLoader::readSceneNodeLink(), Lamp::TextAnimationLoader::readSceneNodeLinkList(), Lamp::TextSceneLoader::readSceneNodeList(), Lamp::TextSceneLoader::readTextureLink(), Lamp::TextSceneLoader::readTextureList(), Lamp::TextSceneLoader::readToken(), Lamp::TextCollisionLoader::readToken(), Lamp::TextAnimationLoader::readToken(), Lamp::TextSceneLoader::readUChar(), Lamp::TextSceneLoader::readUInt(), Lamp::TextCollisionLoader::readUInt(), Lamp::TextSceneLoader::readUShort(), Lamp::TextAnimationLoader::readVectorInterpolator(), Lamp::TextSceneLoader::skipChunk(), Lamp::TextCollisionLoader::skipChunk(), Lamp::TextSceneLoader::skipWord(), Lamp::TextCollisionLoader::skipWord(), and Lamp::TextAnimationLoader::skipWord().

virtual String Lamp::StreamTokenizer::getPreviousToken | ( |  | ) | const`[inline, virtual]`

| 一つ前のトークン取得 Returns: 一つ前のトークン Definition at line 69 of file StreamTokenizer.h.

virtual bool Lamp::StreamTokenizer::getSlashSlashCommentFlag | ( |  | ) | `[inline, virtual]`

| スラッシュスラッシュコメントフラグの取得 Returns: スラッシュスラッシュコメントが有効ならtrue Definition at line 83 of file StreamTokenizer.h.

virtual bool Lamp::StreamTokenizer::getSlashStarCommentFlag | ( |  | ) | `[inline, virtual]`

| スラッシュスターコメントフラグの取得 Returns: スラッシュスターコメントが有効ならtrue Definition at line 97 of file StreamTokenizer.h.

virtual String Lamp::StreamTokenizer::getToken | ( |  | ) | const`[inline, virtual]`

| トークン取得 Returns: トークン Definition at line 63 of file StreamTokenizer.h. Referenced by Lamp::TextSceneLoader::load(), Lamp::TextCollisionLoader::load(), Lamp::TextAnimationLoader::load(), Lamp::TextSceneLoader::readToken(), Lamp::TextCollisionLoader::readToken(), Lamp::TextAnimationLoader::readToken(), Lamp::TextSceneLoader::skipChunk(), and Lamp::TextCollisionLoader::skipChunk().

bool Lamp::StreamTokenizer::nextToken | ( |  | ) | `[virtual]`

| 次のトークン Returns: trueならトークンがある。 Definition at line 46 of file StreamTokenizer.cpp. References Lamp::String::endsWith(), Lamp::StringTokenizer::getNextToken(), Lamp::StringTokenizer::hasMoreTokens(), and Lamp::String::startsWith(). Referenced by Lamp::TextSceneLoader::load(), Lamp::TextCollisionLoader::load(), Lamp::TextAnimationLoader::load(), Lamp::TextSceneLoader::readToken(), Lamp::TextCollisionLoader::readToken(), Lamp::TextAnimationLoader::readToken(), Lamp::TextSceneLoader::skipChunk(), and Lamp::TextCollisionLoader::skipChunk().

virtual void Lamp::StreamTokenizer::setSlashSlashCommentFlag | ( | bool | slashSlash | ) | `[inline, virtual]`

  | スラッシュスラッシュコメントフラグの設定 Parameters:
  slashSlash | スラッシュスラッシュコメントを有効にするならtrue
Definition at line 75 of file StreamTokenizer.h.

virtual void Lamp::StreamTokenizer::setSlashStarCommentFlag | ( | bool | slashStar | ) | `[inline, virtual]`

  | スラッシュスターコメントフラグの設定 Parameters:
  slashStar | スラッシュスターコメントを有効にするならtrue
Definition at line 89 of file StreamTokenizer.h.

The documentation for this class was generated from the following files:

- StreamTokenizer.h
- StreamTokenizer.cpp